---
title: dots.v2.databases.byDatabase_cluster_uuid().onlineMigration.byMigration_id().delete()
description: Stop an Online Migration
product: Reference
url: https://docs.digitalocean.com/reference/dots/reference/databases/databases-delete-onlinemigration/
last_updated: "2026-10-27"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# dots.v2.databases.byDatabase_cluster_uuid().onlineMigration.byMigration_id().delete()

Generated on 27 Oct 2026 from DoTs version [`v1.21.0`](https://github.com/digitalocean/dots/releases/tag/v1.21.0)

## Usage

```typescript
client.v2.databases.byDatabase_cluster_uuid(database_cluster_uuid).onlineMigration.byMigration_id(migration_id).delete(requestConfiguration?: RequestConfiguration<object>): Promise<void>
```

## Description

To stop an online migration, send a DELETE request to [`/v2/databases/{database_cluster_uuid}/online-migration/{migration_id}`](https://docs.digitalocean.com/reference/api/reference/databases/index.html.md#databases_delete_onlineMigration).

A status of 204 will be given. This indicates that the request was processed successfully, but that no response body is needed.

## Parameters

`database_cluster_uuid` string required

Example: `9cc10173-e9ea-4176-9dbc-a4cee4c4ff30`

A unique identifier for a database cluster.

`migration_id` string required

Example: `77b28fc8-19ff-11eb-8c9c-c68e24557488`

A unique identifier assigned to the online migration.

## Request Sample

## Show Request Sample

```typescript
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

await client.v2.databases
    .byDatabase_cluster_uuid("9cc10173-e9ea-4176-9dbc-a4cee4c4ff30").onlineMigration
    .byMigration_id("77b28fc8-19ff-11eb-8c9c-c68e24557488").delete();
```

## More Information

See [`/v2/databases/{database_cluster_uuid}/online-migration/{migration_id}`](https://docs.digitalocean.com/reference/api/reference/databases/index.html.md#databases_delete_onlineMigration) in the API reference for additional detail on responses, headers, parameters, and more.